$(document).ready(function () {
  $(".resourcesync").click(function (e) {
    e.preventDefault();
    // Initialize an array to hold the checked items
    var checkedItems = [];

    // Loop through each checked checkbox
    $(".resourcespace-checkbox:checked").each(function () {
      var id = $(this).data("id");
      var url = $(this).data("url");
      var name = $(this).data("name");
      var modified = $(this).data("modified");
      var extension = $(this).data("extentension");

      // Store the id and url in the array
      checkedItems.push({
        id: id,
        url: url,
        name: name,
        modified: modified,
        extension: extension,
      });
    });

    // Output the checked items (for demonstration purposes)
    if (checkedItems.length > 0) {
      const $loader = $(
        '<div class="ajax-progress ajax-progress-throbber"><div class="loader"></div><div class="message">Processing...</div></div>'
      );
      $("body").append($loader);
      // Send AJAX POST request with selected IDs
      $.ajax({
        url: "index.php?option=com_resourcespace&task=api.data",
        method: "POST",
        data: JSON.stringify({ selected_items: checkedItems }),
        success: function (response) {
          if (typeof response === "string") {
            response = JSON.parse(response); // Parse if response is a string
          }

          if (response.success) {
            alert("Success: " + response.msg); // Access and display the message
          } else {
            alert("Error: Something went wrong!");
          }

          $loader.remove();
        },
        error: function () {
          alert("An error occurred. Please try again.");
          $loader.remove();
        },
      });
    } else {
      alert("Please select at least one item.");
    }
  });

  const $selectAll = $(".resourcespace-select-all-checkbox"); // Select All checkbox
  const $checkboxes = $(".resourcespace-checkbox"); // Individual checkboxes
  const $syncButton = $(".resourcesync");

  function toggleSyncButton() {
    const checkedCount = $checkboxes.filter(":checked").length;
    if (checkedCount > 0) {
      $syncButton.show(); // Show the "Selected" button.
    } else {
      $syncButton.hide(); // Hide the "Selected" button if no checkboxes are selected.
    }
  }
  // Toggle all checkboxes when "Select All" is clicked
  $selectAll.on("change", function () {
    const isChecked = $(this).is(":checked");
    $checkboxes.prop("checked", isChecked);
    if (isChecked) {
      $(".resourcesync").show();
    } else {
      $(".resourcesync").hide();
    }
  });
  $checkboxes.on("change", function () {
    toggleSyncButton(); // Check if the sync button should be shown or hidden.
  });
  // Update "Select All" checkbox based on individual checkbox changes
  $checkboxes.on("change", function () {
    const allChecked =
      $checkboxes.length === $checkboxes.filter(":checked").length;
    $selectAll.prop("checked", allChecked);
  });
});
